sailpoint.object

## Class Schema

- java.lang.Object
- - sailpoint.object.Schema

    public class Schema
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Schema()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AttributeDefinition` `getAttributeDefinition(java.lang.String name)`
`java.util.List<AttributeDefinition>` `getAttributes()`
`java.lang.String` `getDisplayAttribute()`
`java.util.List<java.lang.String>` `getEntitlementAttributeNames()`
`java.lang.String` `getIdentityAttribute()`
`java.lang.String` `getNativeObjectType()`
`java.lang.String` `getObjectType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Schema

    public Schema()

### Method Detail

#### getObjectType

    public java.lang.String getObjectType()

#### getNativeObjectType

    public java.lang.String getNativeObjectType()

#### getAttributes

    public java.util.List<AttributeDefinition> getAttributes()

#### getDisplayAttribute

    public java.lang.String getDisplayAttribute()

#### getIdentityAttribute

    public java.lang.String getIdentityAttribute()

#### getAttributeDefinition

    public AttributeDefinition getAttributeDefinition(java.lang.String name)

#### getEntitlementAttributeNames

    public java.util.List<java.lang.String> getEntitlementAttributeNames()